GovCheck: Ghana Verify Card

Validates national identity information by checking against Ghana’s National Identification Authority (NIA) database for the Ghana Card.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Webhook response

{
  "data": {
    "placeOfIssueCode": null,
    "placeOfIssue": null,
    "personalNumber": "GHA-000000000-0",
    "regDate": null,
    "expiryDate": null,
    "picture": null,
    "signature": null,
    "nationality": "",
    "placeOfBirth": "",
    "dateOfBirth": "",
    "gender": "",
    "middleName": "",
    "lastName": "LASTNAME",
    "firstName": "FIRSTNAME"
  },
  "error": null,
  "metadata": {
    "Key1": "Value1",
    "Key2": "Value2"
  }
}

Webhook errors

"error": {
    "type": "govCheckError",
    "code": "ghanaianVerifyCard.notFound",
    "message": "No results were found in the Ghanaian Verify Card database"
  }
 "error": {
    "type": "govCheckError",
    "code": "ghanaianVerifyCard.notValidParams",
    "message": "The data passed appears to be invalid"
  }
 "error": {
    "type": "govCheckError",
    "code": "ghanaianVerifyCard.serviceUnavailable",
    "message": "The Ghanaian Verify Card service is unavailable"
  }
"error": {
    "type": "govCheckError",
    "code": "system.internalError",
    "message": "Internal error has occurred"
  }
Body Params
string
required
string
required
json

{"key":"value"}

Headers
string
Defaults to application/json
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json